.TH "mca_base_component_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_base_component_t \- Common type for all MCA components.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <mca.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "int \fBmca_major_version\fP"
.br
.RI "\fIMajor number of the MCA. \fP"
.ti -1c
.RI "int \fBmca_minor_version\fP"
.br
.RI "\fIMinor number of the MCA. \fP"
.ti -1c
.RI "int \fBmca_release_version\fP"
.br
.RI "\fIRelease number of the MCA. \fP"
.ti -1c
.RI "char \fBmca_type_name\fP [MCA_BASE_MAX_TYPE_NAME_LEN]"
.br
.RI "\fIString name of the framework that this component belongs to. \fP"
.ti -1c
.RI "int \fBmca_type_major_version\fP"
.br
.RI "\fIMajor version number of the framework that this component belongs to. \fP"
.ti -1c
.RI "int \fBmca_type_minor_version\fP"
.br
.RI "\fIMinor version number of the framework that this component belongs to. \fP"
.ti -1c
.RI "int \fBmca_type_release_version\fP"
.br
.RI "\fIRelease version number of the framework that this component belongs to. \fP"
.ti -1c
.RI "char \fBmca_component_name\fP [MCA_BASE_MAX_COMPONENT_NAME_LEN]"
.br
.RI "\fIThis comopnent's string name. \fP"
.ti -1c
.RI "int \fBmca_component_major_version\fP"
.br
.RI "\fIThis component's major version number. \fP"
.ti -1c
.RI "int \fBmca_component_minor_version\fP"
.br
.RI "\fIThis component's minor version number. \fP"
.ti -1c
.RI "int \fBmca_component_release_version\fP"
.br
.RI "\fIThis component's release version number. \fP"
.ti -1c
.RI "\fBmca_base_open_component_fn_t\fP \fBmca_open_component\fP"
.br
.RI "\fIMethod for opening this component. \fP"
.ti -1c
.RI "\fBmca_base_close_component_fn_t\fP \fBmca_close_component\fP"
.br
.RI "\fIMethod for closing this component. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Common type for all MCA components. 

An instance of this type is always the first element in MCA components, allowing the component to be associated with a particular version of a specific framework, and to publish its own name and version. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
